Bug 45980 - 51_samba4/43access_sysvol fails because smbclient doesn't return 1
51_samba4/43access_sysvol fails because smbclient doesn't return 1
Status: VERIFIED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.3
Other Linux
: P5 normal (vote)
: ---
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-04 16:39 CET by Arvid Requate
Modified: 2018-06-21 12:49 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2018-01-04 16:39:52 CET
ucs-test case 43access_sysvol fails because smbclient doesn't return a propper error code, despite denying file deletion:

===============================================================================
----Remove GPT.ini of the default domain policies as a user
NT_STATUS_ACCESS_DENIED deleting remote file \ar41i1.qa\Policies\{31B2F340-016D-11D2-945F-00C04FB984F9}\GPT.INI
error 2017-08-24 20:00:23        GPT.ini of the default domain policies could be removed
===============================================================================

The file doesn't get deleted, so the test is successfull, but since smbclient returns 0, the test case is lead to assume that the file has in fact been deleted. checking smbclient source code since Samba 4.1 I have no clue how this can ever have worked.
Comment 1 Arvid Requate univentionstaff 2018-01-04 17:07:47 CET
Fixed with commit bb29d8d532.

Package: ucs-test
Version: 8.0.7-5A~4.3.0.201801041651
Branch: ucs_4.3-0
Comment 2 Felix Botner univentionstaff 2018-06-21 12:49:04 CEST
OK